load("output/WD_canyons.Rdata")

#
# Functions
#

transformed = function(x, pow1=0.5, pow2=NA) {
  y = sign(x)*abs(x)^pow1
  if (!is.na(pow2)) {
    i = x<0
    y[i] = sign(x[i])*abs(x[i])^pow2
  }
  y
}

chk = function(model, title="") {
  grid.arrange(
    plot(model,type=c("p","smooth"))
    ,
    qqnorm(model,abline=c(0,1))
    ,
    top = title
  )
}

#
# Main
#

# Set up design of the models in terms of transformations and optimizarimethod
design = read.table(header=TRUE, sep=",", stringsAsFactors=FALSE, text=
"Variable, Year, Trans1, Trans2
CanyonDepth, 2014, 0.5, 1.0
CanyonDepth, 2015, 0.5, 1.0
WeightGain, 2014, 0.4, 0.8
WeightGain, 2015, 0.4, 1.0
NightSlope, 2014, 0.4, 0.5
NightSlope, 2015, 0.4, 0.6"  
)

# Build a list with the 6 lme models
# I couldn't find out how to wrap "lme-means.R" inside a function
# The solution below works as if it were a function with argument i
lme_models = list(NA, NA, NA, NA, NA, NA)
i=1; source("lme-means.R")
i=2; source("lme-means.R")
i=3; source("lme-means.R")
i=4; source("lme-means.R")
i=5; source("lme-means.R")
i=6; source("lme-means.R")

lme_design = design
save(lme_design, file="output/lme_design.Rdata")
save(lme_models, file="output/lme_models.Rdata")

