load("output/WD.Rdata")
load("output/slr_models.Rdata")
load("output/canyons.Rdata")
load("output/WD_canyons.Rdata")

results = function() {
  total = nrow(subset(WD_canyons, !is.na(CanyonDepth)))
  c(
    paste("Number of hive x date instances (total) =", nrow(WD)),
    paste("Number of hive x date instances (2014)  =", nrow(subset(WD, Year==2014))),
    paste("Number of hive x date instances (2014)  =", nrow(subset(WD, Year==2015))),
    paste("Number of estimated SLR models  =", length(slr_models)),
    paste("Number of failed SLR models     =", nrow(WD)-length(slr_models)),
    paste("Number of outliers discarded    =", length(slr_models)-nrow(canyons)),
    paste("Number of hive x date instances (final) =", nrow(canyons)),
    "-",
    paste("Number of hive x date instances for regression on CanyonDepth (total)   =", total, "=", paste0(round(100*total/nrow(canyons),0), "%")),
    paste("Number of hive x date instances for regression on CanyonDepth (missing) =", nrow(canyons) - nrow(subset(WD_canyons, !is.na(CanyonDepth)))),
    paste("Number of hive x date instances for regression on CanyonDepth (2014)    =", nrow(subset(WD_canyons, !is.na(CanyonDepth) & Year==2014))),
    paste("Number of hive x date instances for regression on CanyonDepth (2015)    =", nrow(subset(WD_canyons, !is.na(CanyonDepth) & Year==2015))),
    "-",
    paste("Number of hive x date instances for regression on NightSlope (total)    =", nrow(subset(WD_canyons, !is.na(NightSlope)))),
    paste("Number of hive x date instances for regression on NightSlope (missing)  =", nrow(canyons) - nrow(subset(WD_canyons, !is.na(NightSlope)))),
    paste("Number of hive x date instances for regression on NightSlope (2014)     =", nrow(subset(WD_canyons, !is.na(NightSlope) & Year==2014))),
    paste("Number of hive x date instances for regression on NightSlope (2015)     =", nrow(subset(WD_canyons, !is.na(NightSlope) & Year==2015))),
    "-",
    paste("Number of hive x date instances for regression on WeightGain (total)    =", nrow(subset(WD_canyons, !is.na(WeightGain)))),
    paste("Number of hive x date instances for regression on WeightGain (missing)  =", nrow(canyons) - nrow(subset(WD_canyons, !is.na(WeightGain)))),
    paste("Number of hive x date instances for regression on WeightGain (2014)     =", nrow(subset(WD_canyons, !is.na(WeightGain) & Year==2014))),
    paste("Number of hive x date instances for regression on WeightGain (2015)     =", nrow(subset(WD_canyons, !is.na(WeightGain) & Year==2015))),
    "-",
    paste("Number of SLRs of category 123 (total)                  =", nrow(subset(canyons, Category==123))),
    paste("Number of SLRs of category 123 (joined segment 2 and 3) =", nrow(subset(canyons, Category==123 & Joined_2_3))),
    paste("Number of SLRs of category  23 (total)                  =", nrow(subset(canyons, Category==23))),
    paste("Number of SLRs of category  23 (joined segment 2 and 3) =", nrow(subset(canyons, Category==23 & Joined_2_3)))
  )
}

results()

f = file("output/results.txt")
writeLines(results(), f)
close(f)
