load("output/best_slr.Rdata")
load("output/canyons.Rdata")

# Analyse the effect of joining segment 2 and 3 (to calculate canyon depth) 
# when segment 2 is steeper than segment 3

M = subset(canyons, Category==123 | Category==23)
J = join(M, best_slr, by=c("Hive", "Date"), type="left")

get_slopes = function(M) {
  data.frame(
    From2 = M$From[2],
    From3 = M$From[3],
    Slope2 = M$Slope[2],
    Slope3 = M$Slope[3],
    Rim = if (M$Slope[2] < M$Slope[3]) M$From[2] else M$From[3]
  )
}

slopes = ddply(J, .(Hive,Date), get_slopes)
M = slopes[, c("Hive", "Date", "From3", "Rim")]
M = melt(M, id.vars=c("Hive", "Date"))

ggplot(M, aes(x=value, colour=variable, fill=variable)) +
  geom_density(alpha=0.45)
  