xy = 
  rbind(
      c( 5, 2),
      c( 9, 0),
      c(19, 8),
      c(29, 7)
  )

M = data.frame(xy)
colnames(M) = c("Hour", "Weight")
M$Label = c("A", "B", "D", "E") 
M$XNudge = c(   0, 0  ,  0.2, 0  )
M$YNudge = c(-0.5, 0.5, -0.5 , 0.5)

Arrow = arrow(length = unit(0.03, "npc"), type="closed")
Atext = data.frame(x=9, y=4.2, label="Breakfast\nCanyon")
Btext = data.frame(x=16.5, y=1.0, label="Canyon\ndepth")


my_theme =  theme_bw() + 
            theme(panel.grid.minor.y = element_blank()) +
            theme(panel.grid.minor.x = element_blank()) +
            theme(axis.text.y = element_blank(), axis.ticks.y = element_blank())    

G = ggplot(M, aes(x=Hour, y=Weight)) +
  my_theme +
  geom_line(size=1.2) +
  geom_point(, size=4) +
  scale_x_continuous(name="Hour of the day", limits=c(4,30), breaks=c(5,9,19,29), labels=c(5,9,19,5))  +
  scale_y_continuous(name="Bee hive weight\n", breaks=c(2,0,7,8)) +
  geom_text(data=M, aes(x=Hour+XNudge, y=Weight+YNudge, label=Label)) +
  geom_text(data=Atext, aes(x=x, y=y, label=label)) +
  geom_text(data=Btext, aes(x=x, y=y, label=label)) +
  geom_segment(aes(x=9, y=3.5, xend=9, yend=1.2), arrow=Arrow) +
  geom_segment(aes(x=15, y=0, xend=15, yend=2), arrow=Arrow) + 
  geom_segment(aes(x=15, y=2, xend=15, yend=0), arrow=Arrow) 

# Show on screen and PDF
windows(7,4)
print(G)
pdf("output/fig1.pdf", 7, 4)
print(G)
dev.off()
