  des = design[i,]
  
  variable = des$Variable
  year = des$Year
  print(des)
  M = WD_canyons[,c(variable,"Year","Treatment","Period","Date", "Hive")]
  M = M[complete.cases(M),]
  M = subset(M,Year==year)
  M$Period = reorder_levels(M$Period, 2:1)  
  M[, variable] = M[, variable]/sd(M[, variable]) - mean(M[, variable])
  M[, variable] = transformed(M[, variable], des$Trans1, des$Trans2)
  M$Treatment = droplevels(M$Treatment)
  rownames(M) = NULL
  eq = paste(variable, "~Treatment*Period")
  model = lme(
    fixed = eval(parse(text=eq)),
    random = ~Date|Hive,
    data = M,
    method = "REML",
    correlation = corCAR1(form=~Date|Hive) ,
    control=list(maxIter=10000, msMaxIter=10000, niterEM=10000, opt=if (i==3) "optim" else "nlminb")
  )
  windows()
  chk(model, variable)

  attr(model, "Variable") = variable
  attr(model, "Year") = year
  lme_models[[i]] = list(model, data.frame())



